package com.chelvc.cloud.maintain.controller;

import java.util.List;

import com.chelvc.cloud.maintain.copier.CategoryCopier;
import com.chelvc.cloud.maintain.vo.CategoryVO;
import com.chelvc.cloud.vehicle.api.service.CategoryService;
import com.chelvc.framework.base.annotation.ResponseWrapping;
import org.apache.dubbo.config.annotation.DubboReference;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 分类接口
 *
 * @author Woody
 * @date 2023/7/17
 */
@Validated
@RestController
@ResponseWrapping
public class CategoryController {
    @DubboReference
    private CategoryService categoryService;

    /**
     * 获取分类列表
     *
     * @return 分类信息列表
     */
    @GetMapping("/categories")
    public List<CategoryVO> listCategories() {
        return CategoryCopier.INSTANCE.copying(this.categoryService.listActiveCategories());
    }
}
