package com.chelvc.cloud.maintain.controller;

import javax.validation.constraints.Min;

import com.chelvc.cloud.vehicle.api.service.FavoriteService;
import com.chelvc.framework.base.annotation.ResponseWrapping;
import org.apache.dubbo.config.annotation.DubboReference;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RestController;

/**
 * 收藏接口
 *
 * @author liude
 * @date 2023/7/20
 */
@Validated
@RestController
@ResponseWrapping
public class FavoriteController {
    @DubboReference
    private FavoriteService favoriteService;

    /**
     * 取消收藏
     *
     * @param id 收藏ID
     */
    @DeleteMapping("/favorite/{id}")
    public void deleteMineFavorite(@PathVariable("id") @Min(value = 1, message = "收藏ID不能小于1") Long id) {
        this.favoriteService.deleteMineFavorite(id);
    }
}
