package com.chelvc.cloud.maintain.controller;

import javax.validation.Valid;
import javax.validation.constraints.Min;

import com.chelvc.cloud.vehicle.api.param.ReservationModifyParam;
import com.chelvc.cloud.vehicle.api.service.ReservationService;
import com.chelvc.framework.base.annotation.ResponseWrapping;
import org.apache.dubbo.config.annotation.DubboReference;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

/**
 * 预约接口
 *
 * @author Woody
 * @date 2023/7/17
 */
@Validated
@RestController
@ResponseWrapping
public class ReservationController {
    @DubboReference
    private ReservationService reservationService;

    /**
     * 新增预约
     *
     * @param merchantId 商家ID
     * @param param      预约参数
     */
    @PostMapping("/merchant/{merchantId}/reservation")
    public void addReservation(@PathVariable("merchantId") @Min(value = 1, message = "商家主键不能小于1") Long merchantId,
                               @RequestBody @Valid ReservationModifyParam param) {
        this.reservationService.addReservation(merchantId, param);
    }
}
