package com.chelvc.cloud.maintain.controller;

import com.chelvc.cloud.uc.api.service.SignService;
import com.chelvc.framework.base.annotation.ResponseWrapping;
import org.apache.dubbo.config.annotation.DubboReference;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 签到接口
 *
 * @author Woody
 * @date 2023/5/7
 */
@Validated
@RestController
@ResponseWrapping
public class SignController {
    @DubboReference
    private SignService signService;

    /**
     * 用户签到
     */
    @PostMapping("/sign")
    public void sign() {
        this.signService.sign();
    }
}
