package com.chelvc.cloud.maintain.controller;

import com.chelvc.cloud.uc.api.service.UserService;
import com.chelvc.framework.base.annotation.ResponseWrapping;
import org.apache.dubbo.config.annotation.DubboReference;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 用户接口
 *
 * @author Woody
 * @date 2023/4/30
 */
@Validated
@RestController
@ResponseWrapping
public class UserController {
    @DubboReference
    private UserService userService;

    /**
     * 注销当前用户
     */
    @DeleteMapping("/user/mine/unregister")
    public void unregister() {
        this.userService.unregister();
    }
}
