package com.chelvc.cloud.maintain.copier;

import java.util.Collection;
import java.util.List;

import com.chelvc.cloud.maintain.vo.CategoryVO;
import com.chelvc.cloud.vehicle.api.dto.CategoryDTO;
import org.mapstruct.Builder;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 分类信息拷贝接口
 *
 * @author Woody
 * @date 2023/7/17
 */
@Mapper(builder = @Builder(disableBuilder = true))
public interface CategoryCopier {
    /**
     * 对象拷贝接口实例
     */
    CategoryCopier INSTANCE = Mappers.getMapper(CategoryCopier.class);

    /**
     * 分类信息拷贝
     *
     * @param categories 分类信息集合
     * @return 分类信息列表
     */
    List<CategoryVO> copying(Collection<CategoryDTO> categories);
}
