package com.chelvc.cloud.maintain.copier;

import java.util.Collection;
import java.util.List;

import com.chelvc.cloud.maintain.vo.CommentVO;
import com.chelvc.cloud.vehicle.api.dto.CommentDTO;
import org.mapstruct.Builder;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 评价信息拷贝接口
 *
 * @author Woody
 * @date 2023/8/7
 */
@Mapper(builder = @Builder(disableBuilder = true))
public interface CommentCopier {
    /**
     * 对象拷贝接口实例
     */
    CommentCopier INSTANCE = Mappers.getMapper(CommentCopier.class);

    /**
     * 评价信息拷贝
     *
     * @param comments 评价信息集合
     * @return 评价信息列表
     */
    List<CommentVO> copying(Collection<CommentDTO> comments);
}
