package com.chelvc.cloud.maintain.copier;

import java.util.Collection;
import java.util.List;

import com.chelvc.cloud.maintain.vo.GoodsDetailVO;
import com.chelvc.cloud.maintain.vo.SimpleGoodsVO;
import com.chelvc.cloud.vehicle.api.dto.GoodsDTO;
import com.chelvc.cloud.vehicle.api.dto.GoodsDetailDTO;
import org.mapstruct.Builder;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 商品信息拷贝接口
 *
 * @author Woody
 * @date 2023/8/6
 */
@Mapper(builder = @Builder(disableBuilder = true))
public interface GoodsCopier {
    /**
     * 对象拷贝接口实例
     */
    GoodsCopier INSTANCE = Mappers.getMapper(GoodsCopier.class);

    /**
     * 商品信息拷贝
     *
     * @param detail 商品详情
     * @return 商品信息
     */
    GoodsDetailVO copying(GoodsDetailDTO detail);

    /**
     * 商品信息拷贝
     *
     * @param goods 商品信息集合
     * @return 商品信息列表
     */
    List<SimpleGoodsVO> copying(Collection<GoodsDTO> goods);
}
