package com.chelvc.cloud.maintain.copier;

import com.chelvc.cloud.maintain.vo.ScoreVO;
import com.chelvc.cloud.uc.api.dto.ScoreDTO;
import org.mapstruct.Builder;
import org.mapstruct.IterableMapping;
import org.mapstruct.Mapper;
import org.mapstruct.Named;
import org.mapstruct.factory.Mappers;

import java.util.Collection;
import java.util.List;

/**
 * 积分记录对象拷贝接口
 *
 * @author qizai
 * @Date 2023/9/6
 **/
@Mapper(builder = @Builder(disableBuilder = true))
public interface ScoreCopier {
    /**
     * 对象拷贝接口实例
     */
    ScoreCopier INSTANCE = Mappers.getMapper(ScoreCopier.class);

    /**
     * 积分记录拷贝
     *
     * @param score 积分记录
     * @return 积分记录
     */
    @Named("dto2vo")
    ScoreVO copying(ScoreDTO score);

    /**
     * 积分记录拷贝
     *
     * @param scores 积分记录集合
     * @return 积分记录列表
     */
    @IterableMapping(qualifiedByName = "dto2vo")
    List<ScoreVO> copying(Collection<ScoreDTO> scores);
}
