package com.chelvc.cloud.maintain.param;

import java.io.Serializable;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 顾客端首页参数
 *
 * @author Woody
 * @date 2023/5/4
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class CustomerIndexParam implements Serializable {
    /**
     * 经度
     */
    @NotNull(message = "经度不能为空")
    @Min(value = 0, message = "经度不能小于0")
    private Double longitude;

    /**
     * 纬度
     */
    @NotNull(message = "纬度不能为空")
    @Min(value = 0, message = "纬度不能小于0")
    private Double latitude;
}
