package com.chelvc.cloud.maintain.vo;

import java.io.Serializable;

import com.chelvc.cloud.vehicle.api.constant.CategoryType;
import com.chelvc.framework.base.jackson.EnumerationFormatSerializer;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 分类信息
 *
 * @author Woody
 * @date 2023/7/17
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class CategoryVO implements Serializable {
    /**
     * 分类ID
     */
    private Long id;

    /**
     * 分类类型
     */
    @JsonSerialize(using = EnumerationFormatSerializer.class)
    private CategoryType type;

    /**
     * 分类图标
     */
    private String icon;

    /**
     * 分类名称
     */
    private String name;
}
