package com.chelvc.cloud.maintain.vo;

import java.io.Serializable;
import java.util.List;

import com.chelvc.framework.common.model.File;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 商品信息
 *
 * @author Woody
 * @date 2023/8/6
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class GoodsVO implements Serializable {
    /**
     * 商品ID
     */
    private Long id;

    /**
     * 商品名称
     */
    private String name;

    /**
     * 商品评分
     */
    private Double score;

    /**
     * 商品原价
     */
    private Double originalPrice;

    /**
     * 优惠价格
     */
    private Double specialPrice;

    /**
     * 商品描述
     */
    private String description;

    /**
     * 轮播图列表
     */
    private List<File> banners;
}
